Permalink
Browse files

Unpin mock 1.0.1 since it has support for Python 2.6.

  • Loading branch information...
1 parent 5b823e2 commit 811ea7880e4c0c74f4a7f76158c19bab6365ca53 @berkerpeksag berkerpeksag committed Sep 20, 2015
Showing with 2 additions and 7 deletions.
  1. +1 −5 setup.py
  2. +1 −2 tox.ini
View
@@ -45,11 +45,7 @@
tests_require = [l.strip() for l in f.readlines()]
if sys.version_info[:2] < (3, 3):
- # recent versions of mock doesn't support Python 2.6
- if sys.version_info[:2] == (2, 6):
- tests_require.append('mock==1.0.1')
- else:
- tests_require.append('mock')
+ tests_require.append('mock')
if sys.version_info[:2] < (2, 7):
tests_require.append('unittest2')
View
@@ -8,6 +8,5 @@ commands = py.test {posargs:tests/}
deps =
-rrequirements_test.txt
py26: unittest2
- py26: mock==1.0.1
- py27,pypy,py32,pypy3: mock
+ py2{6,7},pypy,py32,pypy3: mock
py3{3,4}: aiohttp

0 comments on commit 811ea78

Please sign in to comment.